> For the complete documentation index, see [llms.txt](https://docs.milientsoftware.com/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.milientsoftware.com/help/developers/api/authorization.md).

# Authorization

To be able to use the Moment API, you will need to request access and be given an API key/password.

Prior to requesting access be aware of these requirements and recommendations.

* API user should not be a personalized user that might be set as quit. We recommend you have a specific user for this, e.g. "<apiuser@yourdomain.tld>"
* The user **must** exist in your database and it **must** be an active and licensed user.
* Access to the API is invoiced on a monthly basis, see more information [here](https://www.moment.team/en/pricing).

![](/files/-MchjKegbsBb2tYgCZPT)

## Access to Moment API

To access the Moment API you will need to create your API key within Moment.

Follow the instructions [here](/help/developers/api.md#api-access) on how to go by for this.

## How to connect to Moment API

Moment API use Basic Auth for authorization with a combination of username and password.

#### Username

The username is "apikey".

#### Password

Password is generated from the user account given when requesting access.

![Example from Postman](/files/-Mc9Y9PjYU6CvU0yPkJ5)

See more [here ](/help/developers/api/authorization/postman.md)on how to connect using Postman.

## Access to other databases.

The API access given to the user will be active on all databases the user has access to. Be careful on adding the user to databases where the user does not need access.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.milientsoftware.com/help/developers/api/authorization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
